package org.sonatype.sisu.pr.bundle.internal;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;

import org.sonatype.sisu.pr.bundle.FileBundle;
import org.sonatype.sisu.pr.bundle.ManagedBundle;

public class ManagedFileBundle
    extends FileBundle
    implements ManagedBundle
{

    private final File file;

    ManagedFileBundle( final String name, final String type, final File storageFile )
    {
        super( storageFile, name, type );
        this.file = storageFile;
    }

    @Override
    public OutputStream getOutputStream()
        throws IOException
    {
        return new FileOutputStream( file );
    }

}
